For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Discord
DocsAPI Reference
DocsAPI Reference
  • Projects
    • GETList projects
    • POSTCreate a project
    • GETGet a project
    • DELDelete a project
    • PATCHUpdate a project
    • POSTTrigger a dynamic pull request run
    • GETList project credentials
    • POSTCreate a project credential
    • GETList project memories
    • POSTCreate a project memory
    • DELDelete a project memory
    • GETList project files
    • GETList project mobile apps
    • POSTUpload a project mobile app
    • DELDelete a project mobile app
    • POSTInitiate a project mobile app upload
    • POSTConfirm a project mobile app upload
  • Tests
    • GETList tests
    • POSTCreate a test
    • GETGet a test
    • DELDelete a test
    • PATCHUpdate a test
    • POSTTrigger a test run
  • Groups
    • GETList test groups
    • POSTCreate a test group
    • GETGet a test group
    • DELDelete a test group
    • PATCHUpdate a test group
    • POSTAdd a test to a group
    • DELRemove a test from a group
    • POSTTrigger a test group run
  • Webhooks
    • POSTTrigger a project webhook
    • POSTTrigger a group webhook
  • Test Runs
    • GETList test runs
    • GETGet test run status
    • POSTCancel a queued or running run
LogoLogo
Discord
Groups

List test groups

||View as Markdown|
GET
https://tester.army/api/v1/groups
GET
/api/v1/groups
$curl -G https://tester.army/api/v1/groups \
> -H "Authorization: Bearer <token>" \
> -d projectId=projectId
1{
2 "groups": [
3 {
4 "id": "string",
5 "name": "string",
6 "isDefault": true,
7 "testCount": 1,
8 "prepTestId": "string"
9 }
10 ]
11}
List test groups for a project. The default All Tests group is always returned and new tests are added to it at creation time.
Was this page helpful?
Previous

Trigger a test run

Next

Create a test group

Built with

Authentication

AuthorizationBearer
API key authentication using Bearer token format

Query parameters

projectIdstringRequired
Project ID

Response

List of test groups
groupslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error